View as Markdown

Custodian holdings

Data model

JSON:API resource type: custodian-holding.

datestring

ISO 8601 representation of the date of which the data represents.

unitsInHoldingnumber

For asset holdings, this reflects the number of units owned. For account holdings, this reflects the account balance. For contract positions (an asset relationship without a depository), this reflects the contract amount.

Relationships

legalEntitylegal-entity

Required.

accountaccount

Optional.

assetasset

Optional.

depositorydepository

Optional.


GET/api/v2/custodian-holdings/legal-entities/{id}

List custodian holdings

Path parameters

idstring

Required. Identifier for the legal entity, a 24-character hex ID.

Query parameters

datestring

Required. The date, yyyy-MM-dd.

A malformed id is 400, a missing or empty date is 400, a date not in yyyy-MM-dd format is 422, and an unknown legal entity, or one you cannot see, is 404.

Request
GET/api/v2/custodian-holdings/legal-entities/{id}
curl -G https://api.aleta.ai/api/v2/custodian-holdings/legal-entities/649ad926fc1a10be9e2ea241 \
  -H "Authorization: Bearer {access_token}" \
  -d date=2024-06-04
Response
{
  "data": [
    {
      "type": "custodian-holding",
      "id": "ZDAzNDhiNjVmYWUzMTdhZGVmMWZmOGNk",
      "attributes": {
        "date": "2024-06-04",
        "unitsInHolding": 1000
      },
      "relationships": {
        "asset": {
          "data": { "type": "asset", "id": "7dffac588fb02ea236f9ed44" }
        },
        "depository": {
          "data": { "type": "depository", "id": "649ad598fc1a10be9e2ea241" }
        },
        "legalEntity": {
          "data": { "type": "legal-entity", "id": "649ad926fc1a10be9e2ea241" }
        }
      }
    },
    {
      "type": "custodian-holding",
      "id": "OWVjOWRmMmM1YTg2MWY5ZGQ2OWNlYTk3",
      "attributes": {
        "date": "2024-06-04",
        "unitsInHolding": 2500
      },
      "relationships": {
        "asset": {
          "data": { "type": "asset", "id": "5f0475d37fe83b140c415d8f" }
        },
        "depository": {
          "data": { "type": "depository", "id": "649ad124fc1a10be9e2ea694" }
        },
        "legalEntity": {
          "data": { "type": "legal-entity", "id": "649ad926fc1a10be9e2ea241" }
        }
      }
    },
    {
      "type": "custodian-holding",
      "id": "ZDAzNDhiNjVmYWUzMTdhZGVmMWZmOGNk",
      "attributes": {
        "date": "2024-06-04",
        "unitsInHolding": 4597
      },
      "relationships": {
        "account": {
          "data": { "type": "account", "id": "649ad926fc1a10be9e2ea241" }
        },
        "legalEntity": {
          "data": { "type": "legal-entity", "id": "649ad926fc1a10be9e2ea241" }
        }
      }
    },
    {
      "type": "custodian-holding",
      "id": "OWVjOWRmMmM1YTg2MWY5ZGQ2OWNlYTk3",
      "attributes": {
        "date": "2024-06-04",
        "unitsInHolding": 156486
      },
      "relationships": {
        "account": {
          "data": { "type": "account", "id": "649ad926fc1a10be9e2ea788" }
        },
        "legalEntity": {
          "data": { "type": "legal-entity", "id": "649ad926fc1a10be9e2ea241" }
        }
      }
    }
  ]
}